apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../../../base
namespace: ikoula
patches:
  - patch: |-
      - op: add
        path: "/spec/template/spec/containers/0/env/-"
        value:
          name: DID_WEB_ISSUER
          value: "did:web:ikoula.provider.gaia-x.community"
    target:
      kind: Deployment
      name: vc-issuer
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "vc-issuer.ikoula.provider.gaia-x.community"
    target:
      kind: Ingress
      name: vc-issuer
  - patch: |-
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["vc-issuer.ikoula.provider.gaia-x.community"]
    target:
      kind: Ingress
      name: vc-issuer